Subject: Re: feature request: git svn dommit --preserve-timestamps

From: Eric Wong <[email-masked]>
Date: Sat, 11 Jun 2016 11:43:31 +0000

Peter Münster <[email-masked]> wrote:
> On Sat, Jun 11 2016, Eric Wong wrote:
> 
> > The git log after dcommit is tied to the SVN log,
> > so git-svn can only reflect changes which appear in SVN.
> 
> You mean, it's impossible, to keep the original timestamps??

It might be; just not easy; and I haven't looked at the code
in ages.  But there seems to be similar options for preserving
authorship in git-only  (see below)

> > Unfortunately, you would have to care about svn log as long as
> > SVN exists in your workflow and you need to interact with SVN
> > users.
> 
> In my case, all development happens on Git, SVN is only some sort of
> copy. And when the original timestamps are lost, I've sometimes some
> real problems in finding a specific commit that matches another event.

I'm sorry for your situation and hoping you migrate off SVN
entirely, soon :)

> > git svn tries hard to work transparently and as close to the
> > behavior of the upstream SVN repo as possible.
> 
> That's why I suggest an option, for use cases as mine. Those, who prefer
> to keep the current behaviour just won't use it.
> 
> If someone could guide me through the code, I could modify it perhaps.

Maybe you could look at how the _use_log_author and
_add_author_from options work.  I've forgotten their existence
until now and I've never used them myself; but apparently
they're still there.

Unfortunately, if you have other users using git-svn;
it could be tricky to ensure they can see the same timestamps
you see...